/*******************************************************************************
 * Copyright (c) 2008 The University of York.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Dimitrios Kolovos - initial API and implementation
 ******************************************************************************/
package org.eclipse.epsilon.examples.standalone.eol;


import java.util.ArrayList;
import java.util.List;
import org.eclipse.epsilon.eol.EolModule;
import org.eclipse.epsilon.eol.IEolExecutableModule;
import org.eclipse.epsilon.eol.models.IModel;
import org.eclipse.epsilon.examples.standalone.EpsilonStandaloneExample;

/**
 * This example demonstrates using the 
 * Epsilon Object Language, the core language
 * of Epsilon, in a stand-alone manner 
 * @author Dimitrios Kolovos
 */
public class EolStandaloneExample extends EpsilonStandaloneExample{
	
	public static void main(String[] args) throws Exception {		
		new EolStandaloneExample().execute();
	}
	
	@Override
	public IEolExecutableModule createModule() {
		return new EolModule();
	}

	
	@Override
	public List<IModel> getModels() throws Exception {
		List<IModel> models = new ArrayList<IModel>();
		
		
		models.add(createEmfMetaModelByURI("ETL", "ETL_MM", "http://www.eclipse.org/epsilon/etl"));
System.out.print("1");
		/* Models */
		models.add(createEmfModelByURI("ETL", "eol/Families2Persons.etl.model", 
				"http://www.eclipse.org/epsilon/etl", true, false));
		System.out.print("2");		
		models.add(createEmfModelByURI("Ecore", "eol/output.model", 
				"http://www.eclipse.org/emf/2002/Ecore", false, true));
		System.out.print("3");
	return models;
	}

	@Override
	public String getSource() throws Exception {		
		return "eol/Demo.eol";
	}

	@Override
	public void postProcess() {
		
	}

	

	
}
